com.r3corda.protocols / FinalityProtocol / <init>

# <init>

`FinalityProtocol(transaction: SignedTransaction, events: Set<ClientToServiceCommand>, participants: Set<Party>, progressTracker: ProgressTracker = tracker())`

Finalise a transaction by notarising it, then recording it locally, and then sending it to all involved parties.

### Parameters

`transaction` - to commit.
`events` - information on the event(s) which triggered the transaction.
`participants` - a list of participants involved in the transaction.

Return
a list of participants who were successfully notified of the transaction.